// DataView.java

// This draws the top-level screens for the DataView project.

import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;
import javax.swing.text.*;
import java.awt.*;                // Color


/**
 *   data display, graphing and general purpose template
 *
 */


public class DataView extends JFrame {


  public static void main(String[] args) {
    new DataView();
  }


    GraphPlot graphPanel;   

//--------------------------------------------------

  DataView() 
  {
    String Motif;
    Motif = "com.sun.java.swing.plaf.motif.MotifLookAndFeel";
 
    try {
      UIManager.setLookAndFeel(Motif);
    } catch(Exception e) {}

    getContentPane().add(buildThePlotPanel()); 

// set some Frame-scope parameters:

    int width = 700;
    int height = 550;
    setSize(width, height);
    setDefaultCloseOperation(EXIT_ON_CLOSE);
    setVisible(true);

// pack() sometimes adjusts things badly; sometimes improves display sizing.

   pack();

  }

//--------------------------------------------------
// Build the entire visible screen

  JPanel buildThePlotPanel() {
 
    JPanel panel = new JPanel(); 
    panel.setLayout(new BoxLayout(panel, BoxLayout.Y_AXIS));

    graphPanel = new GraphPlot();
    graphPanel.setPreferredSize( new Dimension(500, 300));

    panel.add(graphPanel);

    JTabbedPane tabbedPane = new JTabbedPane();

    tabbedPane.add("Select a dataset", graphPanel.createButtonArea1());
    tabbedPane.add("Select a color", graphPanel.createColorPanel());
    tabbedPane.add("Lat Lon view", graphPanel.createButtonArea2());

    panel.add(tabbedPane);
    panel.add(graphPanel.createButtonArea5());

    panel.setBorder(new CompoundBorder(new EtchedBorder(), 
      new LineBorder(Color.orange)) );

    return panel;
  }
}

//---------------------------------------
